using System.Collections.Generic;

namespace VsxFactory.ExtensionManager.Providers {

    internal class LoadPageResult  {

        public LoadPageResult(IEnumerable<DataServicePackage> packages, int pageNumber, int totalCount)
        {
            Packages = packages;
            PageNumber = pageNumber;
            TotalCount = totalCount;
        }

        public IEnumerable<DataServicePackage> Packages
        {
            get;
            private set;
        }

        public int TotalCount {
            get;
            private set;
        }

        public int PageNumber {
            get;
            private set;
        }
    }
}
