﻿/*
 * Alain Metge 2011
 * http://www.dotnetrangers.net
 * See license.txt
 */
using System.Data.Services.Common;
using Microsoft.VisualStudio.ExtensionManager.Implementation;

namespace VsxFactory.Repository.VsixGallery
{    
    /// <summary>
    /// "Nupack like" entity representing an extension.
    /// </summary>
    [DataServiceKey("Name", "Version")]
    [HasStream]
    public class VsixPackage 
    {
        public string Author
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public string Icon
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public string MoreInfoUrl
        {
            get;
            set;
        }

        public string Version
        {
            get;
            set;
        }

        public string References
        {
            get;
            set;
        }

        internal string FileName
        {
            get;
            set;
        }
    }
}