using System;
using System.Collections.Generic;
using System.Data.Services.Common;
using System.IO;
using System.Linq;

namespace VsxFactory.ExtensionManager {
    [DataServiceKey("Name", "Version")]
    [HasStream]
    public class DataServicePackage
    {
        public string Author
        {
            get;
            set;
        }

        public string Description
        {
            get;
            set;
        }

        public string Icon
        {
            get;
            set;
        }

        public string Name
        {
            get;
            set;
        }

        public string MoreInfoUrl
        {
            get;
            set;
        }

        public string Version
        {
            get;
            set;
        }

        internal string FileName
        {
            get;
            set;
        }
    }
}
